Name: libgnomeui
Version: 2.2.0.1
Release: alt2

Summary: GNOME base GUI library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Source: %name-%version.tar.bz2

%define libbonoboui_ver 2.2.0
%define GConf_ver 2.2.0
%define libgnomecanvas_ver 2.2.0.1
%define libgnome_ver 2.2.0.1
%define glade2_ver 2.0.1-alt2
%define esound_ver 0.2.29
%define audiofile_ver 0.2.3
%define libart_lgpl_ver 2.3.11

Obsoletes: %name-utils
Provides: %name-utils = %version-%release

Requires: libaudiofile >= %audiofile_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libGConf2 >= %GConf_ver
Requires: libglade2 >= %glade2_ver
Requires: libart_lgpl >= %libart_lgpl_ver

BuildPreReq: libaudiofile-devel >= %audiofile_ver
BuildPreReq: esound-devel >= %esound_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: libglade2-devel >= %glade2_ver

# Automatically added by buildreq on Wed Jan 08 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs XFree86-utils bonobo-activation-devel docbook-dtds docbook-style-dsssl esound-devel freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel gtk-doc libGConf2-devel libORBit2 libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo-activation libbonobo2-devel libbonoboui-devel libexpat libfontconfig libglade2-devel libgnome-devel libgnomecanvas-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel openjade pkgconfig sgml-common zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)

%package devel
Summary: Libraries and headers for libgnome
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgnome-devel >= %libgnome_ver
Requires: libgnomecanvas-devel >= %libgnomecanvas_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: libGConf2-devel >= %GConf_ver
Requires: libart_lgpl-devel >= %libart_lgpl_ver

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

%package devel-static
Summary: Static libraries for libgnome
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel-static package if you would like
to compile GNOME applications. You do not need to install libgnomeui-devel
if you just want to use the GNOME desktop environment.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%setup -q

%build
export DATADIRNAME=share
%configure --enable-gtk-doc
%make_build

%install
%makeinstall

%find_lang %name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-2.0.lang
%_bindir/*
%_libdir/*.so.*
%_libdir/libglade/*/*.so
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog NEWS

%files devel
%_libdir/*.la
%_libdir/*.so
%_libdir/libglade/*/*.la
%_includedir/*
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%files devel-static
%_libdir/*.a
%_libdir/libglade/*/*.a

%changelog
* Thu Jan 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt2
- move gnome_segv2 to main package.

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.2.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Fri Jun 14 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- Initail build for AltLinux
- (aris):
    + SMP-compatible build
    + ldconfig in post{,un}
    + files section fixed
    + other small fixes and cleanups.

* Wed May 15 2002 Igor Androsov <blace@mail.ru> 1.117.0-blk0.1
- New version from CVS
- Many changes for AltLinux
- Moved static libs to devel-static

* Mon Feb 25 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.112.0-1
- new version

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.111.1-1
- new version
- disabled gtk-doc
- disabled binary stripping
- split into more packages

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.109.0-4
- fixed dependancies

* Tue Jan 22 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.109.0-3
- replace libtoolize with /bin/echo
- new %files section
- replace tabs with spaces

* Sun Jan 20 2002 Roy-Magne Mo <rmo@sunnmore.net> 1.109.0-2
- touching file in $PWD instead of /usr/src/redhat
- removed glade and pixmap from glob

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Import into gnome 2.0 alpha
- Changed versions accordingly
- Dirty hack to prevent warning on libgnomeui/pixmaps/copyright.txt
- Minor Cleanups

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 snap, remove gconf stuff moved to libgnome

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- 1.106.0.90 snap, glib 1.3.11
- add explicit-versioned requires on dependency libs
- do gconftool stuff, put schemas in file list
- use makeinstall instead of destdir to avoid broken makefiles

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- grumble, we require libglade 2 not libglade 1

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- add libglade module to file list
- add libglade dependency

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- new tarball, rebuild for new glib, remove db1 dependency

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

